Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.jmx
Interface PojoCacheJmxWrapperMBean

All Superinterfaces:
  org.jboss.cache.jmx.LegacyConfiguration

All Known Implementing Classes:
  PojoCacheJmxWrapper

    public interface PojoCacheJmxWrapperMBean

extends org.jboss.cache.jmx.LegacyConfiguration

StandardMBean interface for `PojoCacheJmxWrapperMBean`.

Version:
  $Revision: 4084 $
Author:
  Brian Stansberry

Field Summary
`static int` | `CREATED` The lifecycle method create has completed
`static int` | `DESTROYED` The lifecycle method destroy has completed
`static int` | `FAILED` There has been an error during some operation
`static int` | `REGISTERED` The MBean has been instantiated and has completed MBeanRegistration.postRegister
`static int` | `STARTED` The lifecycle method start has completed
`static int` | `STARTING` The lifecycle method start has been invoked
`static int` | `STOPPED` The lifecycle method stop has completed
`static int` | `STOPPING` The lifecycle method stop has been invoked
`static int` | `UNREGISTERED` The MBean has been instantiated but has not completed MBeanRegistration.postRegister

Method Summary
`void` | `create()` Lifecycle method to start PojoCache.
`void` | `destroy()` Lifecycle method to destroy PojoCache.
`org.jboss.cache.CacheStatus` | `getCacheStatus()` Gets where this object is in its lifecycle transitions.
`org.jboss.cache.config.Configuration` | `getConfiguration()` Retrieves an immutable configuration.
`String` | `getInternalLocation(Object pojo)` Obtain the internal location of this pojo stored under PojoCache.
`PojoCache` | `getPojoCache()` Returns the PojoCache.
`boolean` | `getRegisterInterceptors()` Gets whether this object should register the cache's interceptors with JMX.
`boolean` | `getRegisterPlainCache()` Gets whether this object should register a `CacheJmxWrapperMBean` for the underlying `Cache` with JMX.
`int` | `getState()` Legacy attribute to expose the `cache status` in terms of the JBoss AS ServiceMBean values.
`String` | `getUnderlyingCacheObjectName()` Get the MBean object name that the underlying replicated cache is using.
`void` | `setRegisterInterceptors(boolean register)` Sets whether this object should register the cache's interceptors with JMX.
`void` | `setRegisterPlainCache(boolean registerPlainCache)` Sets whether this object should register a `CacheJmxWrapperMBean` for the underlying `Cache` with JMX.
`void` | `start()` Lifecycle method to start PojoCache.
`void` | `stop()` Lifecycle method to stop PojoCache.

Methods inherited from interface org.jboss.cache.jmx.LegacyConfiguration
`getBuddyReplicationConfig, getCacheLoaderConfig, getCacheLoaderConfiguration, getCacheMode, getClusterConfig, getClusterName, getClusterProperties, getEvictionPolicyConfig, getExposeManagementStatistics, getFetchInMemoryState, getInitialStateRetrievalTimeout, getIsolationLevel, getLockAcquisitionTimeout, getMultiplexerService, getMultiplexerStack, getMuxChannelFactory, getNodeLockingScheme, getReplicationVersion, getReplQueueInterval, getReplQueueMaxElements, getStateRetrievalTimeout, getSyncCommitPhase, getSyncReplTimeout, getSyncRollbackPhase, getTransactionManager, getTransactionManagerLookupClass, getUseInterceptorMbeans, getUseRegionBasedMarshalling, getUseReplQueue, isInactiveOnStartup, setBuddyReplicationConfig, setCacheLoaderConfig, setCacheLoaderConfiguration, setCacheMode, setClusterConfig, setClusterName, setClusterProperties, setEvictionPolicyConfig, setExposeManagementStatistics, setFetchInMemoryState, setInactiveOnStartup, setInitialStateRetrievalTimeout, setIsolationLevel, setLockAcquisitionTimeout, setMultiplexerService, setMultiplexerStack, setMuxChannelFactory, setNodeLockingScheme, setReplicationVersion, setReplQueueInterval, setReplQueueMaxElements, setStateRetrievalTimeout, setSyncCommitPhase, setSyncReplTimeout, setSyncRollbackPhase, setTransactionManager, setTransactionManagerLookupClass, setUseInterceptorMbeans, setUseRegionBasedMarshalling, setUseReplQueue`

Field Detail

### STOPPED

    static final int STOPPED

  The lifecycle method stop has completed

  See Also:
    Constant Field Values

### STOPPING

    static final int STOPPING

  The lifecycle method stop has been invoked

  See Also:
    Constant Field Values

### STARTING

    static final int STARTING

  The lifecycle method start has been invoked

  See Also:
    Constant Field Values

### STARTED

    static final int STARTED

  The lifecycle method start has completed

  See Also:
    Constant Field Values

### FAILED

    static final int FAILED

  There has been an error during some operation

  See Also:
    Constant Field Values

### DESTROYED

    static final int DESTROYED

  The lifecycle method destroy has completed

  See Also:
    Constant Field Values

### CREATED

    static final int CREATED

  The lifecycle method create has completed

  See Also:
    Constant Field Values

### UNREGISTERED

    static final int UNREGISTERED

  The MBean has been instantiated but has not completed MBeanRegistration.postRegister

  See Also:
    Constant Field Values

### REGISTERED

    static final int REGISTERED

  The MBean has been instantiated and has completed MBeanRegistration.postRegister

  See Also:
    Constant Field Values

Method Detail

### create

    void create()
                throws PojoCacheException

  Lifecycle method to start PojoCache.

  Throws:
    `PojoCacheException`

### start

    void start()
               throws PojoCacheException

  Lifecycle method to start PojoCache.

  Throws:
    `PojoCacheException`

### stop

    void stop()
              throws PojoCacheException

  Lifecycle method to stop PojoCache. Note that PojoCache can be stopped and started repeatedly.

  Throws:
    `PojoCacheException`

### destroy

    void destroy()
                 throws PojoCacheException

  Lifecycle method to destroy PojoCache.

  Throws:
    `PojoCacheException`

### getCacheStatus

    org.jboss.cache.CacheStatus getCacheStatus()

  Gets where this object is in its lifecycle transitions.

  Returns:
    the current status. Will not return `null`

### getState

    int getState()

  Legacy attribute to expose the `cache status` in terms of the JBoss AS ServiceMBean values. This interface does not extend ServiceMBean, but this attribute is retained to provide compatibility with the JBoss AS JSR-77 integration layer.

  Returns:
    the current status, e.g. `STARTED`.

### getPojoCache

    PojoCache getPojoCache()

  Returns the PojoCache.

  Returns:
    the PojoCache

### getConfiguration

    org.jboss.cache.config.Configuration getConfiguration()

  Retrieves an immutable configuration.

### getRegisterPlainCache

    boolean getRegisterPlainCache()

  Gets whether this object should register a `CacheJmxWrapperMBean` for the underlying `Cache` with JMX.

  Default is `true`.

### setRegisterPlainCache

    void setRegisterPlainCache(boolean registerPlainCache)

  Sets whether this object should register a `CacheJmxWrapperMBean` for the underlying `Cache` with JMX.

  Default is `true`.

  If `true`, the `CacheJmxWrapperMBean` will be instantiated and registered either as part of the registration of this object, or during the call to `create()`.

### getRegisterInterceptors

    boolean getRegisterInterceptors()

  Gets whether this object should register the cache's interceptors with JMX.

  This property is only relevant if `registerPlainCache` is `true`.

  Default is `true`.

### setRegisterInterceptors

    void setRegisterInterceptors(boolean register)

  Sets whether this object should register the cache's interceptors with JMX.

  This property is only relevant if `registerPlainCache` is `true`.

  Default is `true`.

### getInternalLocation

    String getInternalLocation(Object pojo)
                               throws PojoCacheAlreadyDetachedException

  Obtain the internal location of this pojo stored under PojoCache.

  Parameters:
    `pojo` - That is associated with this POJO. If null, it means all POJOs in this cache system.
  Returns:
    String that indicates the location.
  Throws:
    `PojoCacheAlreadyDetachedException` - if pojo has been detached already.

### getUnderlyingCacheObjectName

    String getUnderlyingCacheObjectName()

  Get the MBean object name that the underlying replicated cache is using.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2008 JBoss, a division of Red Hat. All Rights Reserved.